/*  CheckSeq.rexx -- Check for missing frames in sequence */
/*  By Arnie Cachelin  1993 NewTek, Inc. */

parse arg base start total 

if base="" | start="" | total="" then do
	say "USAGE rx CheckSeq Basename Start# Count"
	exit
	end

f=start
if f<1000 then d=3
else d=4
do f=start to start+total
	sname=base||right(f,d,'0')
 	if ~exists(sname) then say "Missing: "sname
	if f<1000 then d=3
	else d=4
	end

exit